
//
//WaspCashDrawer_CD
//SJJ Embedded Micro Solutions
//Copyright (c) 2004 - 2007 SJJ Micro Solutions, LLC. All Rights Reserved
//

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.PointOfService.BaseServiceObjects;
using Microsoft.PointOfService;
using System.Collections;
using System.IO.Ports;
using System.Runtime.InteropServices;


namespace WaspCashDrawer_CS
{
    [ServiceObject(DeviceType.CashDrawer, "WASP Cash Drawer", "SJJ EMS Wasp Cash Drawer SO", 1, 11)]
    public class WaspCashDrawer_CS : CashDrawerBase
    {
        SerialPort sp = new SerialPort();
        
        
        protected override void OpenDrawerImpl()
        {
            sp.PortName = DevicePath;
            sp.BaudRate = 9600;
            sp.Parity = Parity.Even;
            sp.DataBits = 8;
            sp.Open();
            sp.Write( ""+  ((char)27) + ((char)112) + ((char)0) + ((char)25) + ((char)30) );
            sp.Close();
        }

        public override string CheckHealth(HealthCheckLevel level)
        {
            throw new Exception("The method or operation is not implemented.");

        }

        public override string CheckHealthText
        {
            get { throw new Exception("The method or operation is not implemented."); }
        }

        public override DirectIOData DirectIO(int command, int data, object obj)
        {
            throw new Exception("The method or operation is not implemented.");
           
        }
    }
}
